#
# spec file for package xf86-video-intel
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _version 2.99.917
%define _git 916_g31486f40

%bcond_with glamor
%bcond_with backlighthelper
%bcond_with valgrind
Name:           xf86-video-intel
Version:        %{_version}.%{_git}
Release:        6.3
Summary:        Intel video driver for the Xorg X server
License:        MIT
Group:          System/X11/Servers/XF86_4
URL:            http://x.org/wiki/IntelGraphicsDriver/
#Git-Clone:	git://anongit.freedesktop.org/xorg/driver/xf86-video-intel
#Git-Web:	http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/
# http://xorg.freedesktop.org/releases/individual/driver/
#Git-Archive:   git archive --format=tar.gz --prefix %{name}-%{version}/ master
Source0:        %{name}-%{version}.tar.bz2
Source99:       baselibs.conf
Patch0:         n_Mesa-i965-crocus-iris.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(dri2proto) >= 2.6
BuildRequires:  pkgconfig(dri3proto)
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libdrm) >= 2.4.24
BuildRequires:  pkgconfig(libdrm_intel) >= 2.4.29
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(pciaccess) >= 0.10
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(randrproto)
BuildRequires:  pkgconfig(renderproto)
%if %{with valgrind}
BuildRequires:  pkgconfig(valgrind)
%endif
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xcb-aux)
BuildRequires:  pkgconfig(xcb-dri2)
BuildRequires:  pkgconfig(xcb-dri3)
BuildRequires:  pkgconfig(xcb-present)
BuildRequires:  pkgconfig(xcb-sync)
BuildRequires:  pkgconfig(xcb-xfixes)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xextproto)
BuildRequires:  pkgconfig(xf86driproto)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xfont2)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xorg-server) >= 1.0.99.901
BuildRequires:  pkgconfig(xproto)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(xshmfence)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xvmc)
Recommends:     vaapi-intel-driver
%if 0%{?suse_version} <= 1315 && !0%{?is_opensuse}
Supplements:    modalias(xorg-x11-server:pci:v00008086d*sv*sd*bc03sc*i*)
%else
# Intel Gen <= 3 (i810/i1815, i830, 845, 855, 865, 915, 945, G33)
Supplements:    modalias(xorg-x11-server:pci:v00008086d00007121sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-x11-server:pci:v00008086d00001132sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-x11-server:pci:v00008086d00002562sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-x11-server:pci:v00008086d00002572sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-x11-server:pci:v00008086d00002582sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-x11-server:pci:v00008086d0000258Asv*sd*bc*sc*i*)
Supplements:    modalias(xorg-x11-server:pci:v00008086d00002592sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-x11-server:pci:v00008086d00002772sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-x11-server:pci:v00008086d000027A2sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-x11-server:pci:v00008086d000027AEsv*sd*bc*sc*i*)
Supplements:    modalias(xorg-x11-server:pci:v00008086d000029B2sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-x11-server:pci:v00008086d000029C2sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-x11-server:pci:v00008086d000029D2sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-x11-server:pci:v00008086d00003577sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-x11-server:pci:v00008086d00003582sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-x11-server:pci:v00008086d0000358Esv*sd*bc*sc*i*)
Supplements:    modalias(xorg-x11-server:pci:v00008086d00007123sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-x11-server:pci:v00008086d00007125sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-x11-server:pci:v00008086d0000A001sv*sd*bc*sc*i*)
Supplements:    modalias(xorg-x11-server:pci:v00008086d0000A011sv*sd*bc*sc*i*)
%endif
# This was part of the xorg-x11-driver-video package up to version 7.6
Conflicts:      xorg-x11-driver-video <= 7.6
Provides:       intel-i810-xorg-x11 = %{version}
Obsoletes:      intel-i810-xorg-x11 < %{version}
Provides:       xorg-x11-driver-video-intel = %{version}
Obsoletes:      xorg-x11-driver-video-intel < %{version}
# No Provides, as we technically don't provide the binaries
Obsoletes:      855resolution
Obsoletes:      915resolution
ExclusiveArch:  %ix86 x86_64
%{x11_abi_videodrv_req}
%if %{with glamor}
Requires:       glamor
BuildRequires:  pkgconfig(glamor)
%endif

%description
intel is an Xorg driver for Intel integrated video cards.

The driver supports depths 8, 15, 16 and 24. All visual types are
supported in depth 8. For the i810/i815 other depths support the
TrueColor and DirectColor visuals. For the i830M and later, only the
TrueColor visual is supported for depths greater than 8. The driver
supports hardware accelerated 3D via the Direct Rendering Infrastructure
(DRI), but only in depth 16 for the i810/i815 and depths 16 and 24 for
the 830M and later.

%prep
%autosetup -p1 -n %{name}-%{_version}

%build
# We have some -z now related errors during X default startup (boo#1197994):
# this is directly visible on startup, so easy to test later on.
export SUSE_ZNOW=0
%define _lto_cflags %{nil}
autoreconf -fvi
%configure \
        --disable-silent-rules \
%if %{with backlighthelper}
	--enable-backlight-helper \
%else
	--disable-backlight-helper \
%endif
%ifnarch %ix86
	--enable-kms-only \
%endif
%if %{with glamor}
	--enable-glamor \
%endif
	--enable-dri3 \
	--enable-uxa \
%if %{with valgrind}
	--enable-valgrind \
%endif
	--with-default-dri=2

make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%if %{with backlighthelper}
%defattr(-,polkitd,polkitd)
%dir %{_datadir}/polkit-1
%dir %{_datadir}/polkit-1/actions
%endif

%defattr(-,root,root)
%license COPYING
%doc AUTHORS NEWS README
%ifarch %ix86
%{_libdir}/libI810XvMC.so*
%endif
%{_libdir}/libIntelXvMC.so*
%dir %{_libdir}/xorg/modules/drivers
%{_libdir}/xorg/modules/drivers/intel_drv.so
%{_bindir}/intel-virtual-output
%{_mandir}/man4/intel.4%{?ext_man}
%{_mandir}/man4/intel-virtual-output.4%{?ext_man}
%if %{with backlighthelper}
%{_libexecdir}/xf86-video-intel-backlight-helper
%{_datadir}/polkit-1/actions/org.x.xf86-video-intel.backlight-helper.policy
%endif

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Wed Oct 18 2023 Stefan Dirsch <sndirsch@suse.com>
- renamed n_Mesa-i965-crocus.patch to n_Mesa-i965-crocus-iris.patch
- n_Mesa-i965-crocus-iris.patch
  * use "iris" instead of "crocus" for anything newer than Haswell
* Wed Oct 18 2023 Stefan Dirsch <sndirsch@suse.com>
- n_Mesa-i965-crocus.patch
  * Mesa's DRI driver is now called "crocus" (previously "i965");
    fixes hardware OpenGL support when still using "intel" X
    driver instead of "modesetting" one ... (boo@1214448)
* Sat May 14 2022 Stefan Dirsch <sndirsch@suse.com>
- set SUSE_ZNOW to 0 (boo#1197994)
* Mon Aug  2 2021 Stefan Dirsch <sndirsch@suse.com>
- no longer require libXfont(1)
* Thu Apr 22 2021 Stefan Dirsch <sndirsch@suse.com>
- Update to 2.99.917.916_g31486f40
  * latest fixes from git
- supersedes U_i810-multidef-fix.patch, n_fix-build-on-i686.patch
* Fri Apr 17 2020 Martin Liška <mliska@suse.cz>
- Add U_i810-multidef-fix.patch in order to fix boo#1169744.
* Fri Oct 18 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Guard valgrind BuildRequires with a bcond, defaulting to disabled
  (upstream default), and actually enable it when requested.
* Wed Apr 24 2019 Martin Liška <mliska@suse.cz>
- Disable LTO (boo#1133292).
* Tue Feb 12 2019 sndirsch@suse.com
- removed recommends to intel-gpu-tools (boo#1125156)
* Wed Sep 19 2018 Hans-Peter Jansen <hpj@urpla.net>
- Update to 2.99.917+git8674.25c9a2fcc: includes many SNA bugfixes.
* Thu May 10 2018 msrb@suse.com
- n_fix-build-on-i686.patch
  * Fix build on i686 with GCC8. (bnc#1092541)
* Tue Aug 22 2017 qantas94heavy@gmail.com
- Update to 2.99.917+git781.c8990575: includes some SNA bugfixes.
- Use .xz for tar file instead of .bz2
* Tue Apr 11 2017 sndirsch@suse.com
- SLE merge:
  * FATE#319161 (current git from master at that time)
* Tue Apr 11 2017 sndirsch@suse.com
- Update to 2.99.917.770_gcb6ba2da
  * mostly SNA bug fixes
- on sle12 still install intel driver by default on all generations
- do not buildrequire xfont2 on sle
* Fri Jan 27 2017 sndirsch@suse.com
- modalias for Supplements changed: no longer install intel driver
  on Gen >= 4 by default; switching to modesetting driver for these
  instead
* Thu Jan 19 2017 tiwai@suse.de
- Update to 2.99.917.703_b45dbdb:
  including SNA cursor pointer bug fixes (bsc#1020081)
* Tue Sep 20 2016 tobias.johannes.klausmann@mni.thm.de
- Fix the build against XServer 1.18.x or older
* Mon Sep 19 2016 tobias.johannes.klausmann@mni.thm.de
- Update to 2.99.917.703_b45dbdb:
  Incremental update in preparation for XServer 1.19.
* Mon Jul  4 2016 eich@suse.com
- Update to 2.99.917.674_g9154dff
  * Only shutdown secondary plances on CRTCs we own (boo#984747).
  * Do not force migration to GPU for very large object.
  * Skip wait_for_shadow when shadow is temprarily disabled.
  * Avoid Recursion by testing shadow.wait.
  * DRI3 is not supporteed by mesa/i915.
  * Various minor fixes.
* Tue Jun 21 2016 eich@suse.com
- Update to 2.99.917.666_g7b6e219:
  sna: Hide compiler warnings for change in uAPI defines
  sna/video: Create one XvAdapter for each sprite plane
  sna/video: Prepare for multiple sprite ports
  sna: Record all sprite planes reported by the kernel
  compat: Another day, another ABI change for OsBlockSGIO
  sna: Use physical output size from the kernel
  compat: Add OsBlockSIGIO/OsReleaseSIGIO wrappers
  sna: Restore TearFree operation after switching everything off
  sna/dri2: Avoid chaining swaps across a mode change
  sna: Display errno when SETCURSOR fails
  sna: Allow disconnected outputs to retain state without EDID checks
  sna: Confirm the EDID is the same after a hotplug before ignoring
  sna: Don't skip migration-to-GPU for TearFree
  sna: Track the minimum damage when doing CRTC-local TearFree
  sna: Fix increment of modeset serial after applying CRTC
* Mon May 16 2016 eich@suse.com
- Updated to 2.99.917.651_g34f63f2:
  sna: Do not force ping-pong migration for TearFree + NoAccel
  sna: Add a special case for fast DRI2CopyRegion and NoAccel
  sna/dri2: Force consideration of the DRI2CopyRegion source as unclean
  sna/dri2: Enforce swap-limits on stale buffers
  sna/gen6+: Don't force a switch to BLT if the target bo cannot be blitted
  sna/dri2: Force blocking wait if vblank queue fails
  sna/dri2: Refactor open-coded __kgem_bo_is_busy
  sna: Do not cache the current crtc bo after performing the setcrtc
  sna: Ensure we only cache the local CRTC scanout buffer
  (boo#980124).
* Thu May 12 2016 tchvatal@suse.com
- Switch to bconds to enable and disable features now can overrride
  localy with --with-bla
- Use verbose build to detect the missing cflags
* Mon May  9 2016 tobias.johannes.klausmann@mni.thm.de
- Enable build of DRI3. DRI2 is still the default version used.
* Fri May  6 2016 hpj@urpla.net
- add xscrnsaver dependency to properly build intel-virtual-output
* Mon May  2 2016 eich@suse.com
- Update to 2.99.917.641_ge4ef6e9:
  * Since there have been over 640 patches since the last prerelease
    which was from Dec 2014, there is no option but to take a git snapshot.
  * Various bug fixes since 2.99.917.
  * This obsoletes all backported bug fixes:
    U_sna-Protect-against-ABI-breakage-in-recent-versions-.patch
    U_sna-udev-integration-depends-on-fstat-and-sys-stat.h.patch
    U_uxa-udev-integration-depends-on-fstat-and-sys-stat.h.patch
    U_uxa_fix_the_call_to_PixmapSyncDirtyHelper_broken_by_xservers_
    U_gen8-Fix-the-YUV-RGB-shader.patch
    U_tools-intel-virtual-output-Check-for-DRI3-more-carefully.patch
    U_01-sna-Cache-the-output-status-and-modes-for-15s.patch
    U_02-sna-Add-missing-break-from-last-patch.patch
    U_03-sna-Improve-DBG-messages-for-MST-probing.patch
    U_04-Convert-from-RRSetChanged-to-RROutputChanged.patch
    U_05-sna-Remove-redundant-RRGetInfo-on-hotplug-discovery.patch
    U_06-Remove-the-driver-option-to-delete-connectors-on-unplugging.patch
    U_07-sna-On-hotplug-events-update-the-output-status.patch
    U_08-sna-Hook-up-kernel-modes-on-hotplug-notification.patch
    U_09-sna-Coldplug-all-outputs-on-startup.patch
    U_10-sna-Use-RRGetInfo-for-setting-hotplug-coldplug-information.patch
    U_uxa_fix_the_call_to_PixmapSyncDirtyHelper_broken_by_xservers_90db5ed.patch
* Thu Apr 28 2016 sndirsch@suse.com
- replaced patches
  * u_sna-fix-missing-includes-for-fstat.patch
  * u_uxa-fix-missing-includes-for-fstat.patch
  with upstream ones:
  * U_sna-udev-integration-depends-on-fstat-and-sys-stat.h.patch
  * U_uxa-udev-integration-depends-on-fstat-and-sys-stat.h.patch
* Thu Mar 24 2016 eich@suse.com
- Populate mode list in Xserver on startup. This helps to a avoid
  issues with a change to a recent version of xrandr which doesn't
  force-scan the mode list before setting a mode any more.
  Backported:
  U_01-sna-Cache-the-output-status-and-modes-for-15s.patch
  U_02-sna-Add-missing-break-from-last-patch.patch
  U_03-sna-Improve-DBG-messages-for-MST-probing.patch
  U_04-Convert-from-RRSetChanged-to-RROutputChanged.patch
  U_05-sna-Remove-redundant-RRGetInfo-on-hotplug-discovery.patch
  U_06-Remove-the-driver-option-to-delete-connectors-on-unplugging.patch
  U_07-sna-On-hotplug-events-update-the-output-status.patch
  U_08-sna-Hook-up-kernel-modes-on-hotplug-notification.patch
  U_09-sna-Coldplug-all-outputs-on-startup.patch
  U_10-sna-Use-RRGetInfo-for-setting-hotplug-coldplug-information.patch
  (boo#971885).
* Mon Feb 29 2016 eich@suse.com
- U_tools-intel-virtual-output-Check-for-DRI3-more-carefully.patch
  Fix intel intel-virtual-output: check more carefully for DRI3
  (boo#968598).
* Tue Feb  9 2016 eich@suse.com
- U_gen8-Fix-the-YUV-RGB-shader.patch
  Fix video playback using XV (boo#950666).
* Fri Sep 11 2015 tobias.johannes.klausmann@mni.thm.de
- Fix build against upcoming X-Server 1.18:
  + Add missing required package xfont
  + Add U_uxa_fix_the_call_to_PixmapSyncDirtyHelper_broken_by_xservers_90db5ed.patch
* Sun Aug  2 2015 dimstar@opensuse.org
- Add u_uxa-fix-missing-includes-for-fstat.patch and
  u_sna-fix-missing-includes-for-fstat.patch: fix missing includes
  for fstat to be declared.
* Tue May 26 2015 sndirsch@suse.com
- U_sna-Protect-against-ABI-breakage-in-recent-versions-.patch
  * sna: Protect against ABI breakage in recent versions of libdrm
    (bnc#931917)
* Mon Dec 15 2014 tobias.johannes.klausmann@mni.thm.de
- Update to intermediate version 2.99.917:
  The highlight of bugs fixed here are a couple of workarounds
  required for Broadwell and making sure that the rasterisation
  code is symmetric under inversions. However, as a couple of
  crashers slipped through into 2.99.916 (though not actual
  regressions in 2.99.916 per se) and 3 months have passed, we
  should make one more snapshot before an imminent release.
  + Beware of recomputing the clear hint in the middle of MI recursion
    https://bugs.freedesktop.org/show_bug.cgi?id=77074
  + Fix crash from rendering an empty Glyph string under PRIME as the
    secondary driver
  + Restore application of default monitor options to the first output,
    a regression in 2.99.915 and the MST support
    https://bugs.gentoo.org/show_bug.cgi?id=522500
  + Finally fix ZaphodHeads blocking on waiting for flip completion
    events. Before kernel 3.19, O_NONBLOCK support is broken and so we
    must avoid reading if we are not expecting an event.
  + Backwards compatibilty fix for fake triple buffering with PRIME and
    Xorg-1.15
    https://bugs.freedesktop.org/show_bug.cgi?id=85144#c12
  + Fix a rendering issue with output rotation and software fallbacks.
    https://bugs.freedesktop.org/show_bug.cgi?id=84653
  + Enable MST discovery even without udev support
    https://bugs.freedesktop.org/show_bug.cgi?id=84718
  + Fix TearFree operation after the GPU is wedged
    https://bugs.freedesktop.org/show_bug.cgi?id=85058
  + Fix projective sampling on gen6.
  + Fix rendering and corruption with gen8.
    https://bugs.freedesktop.org/show_bug.cgi?id=84958
    https://bugs.freedesktop.org/show_bug.cgi?id=83207
    https://bugs.freedesktop.org/show_bug.cgi?id=79053
    https://bugs.freedesktop.org/show_bug.cgi?id=81583
  + Fix crash when using Xinerama.
    https://bugs.freedesktop.org/show_bug.cgi?id=87207
  + Fix rendering of right-to-left or bottom-to-top PolySegments in UXA
- Remove upstream patches:
  + U_sna-Validate-framebuffer-tiling-before-creation.patch
  + U_sna_dri3_mesa_relies_upon_implicit_fences.patch
  + U_Disable-DRI3-by-default.patch
  + U_sna-gen8-BLT-broken-when-address-has-bit-4-set.patch
  + U_uxa-Stub-out-intel_sync_init-fini-when-not-compiled-.patch
* Fri Dec 12 2014 tiwai@suse.de
- U_uxa-Stub-out-intel_sync_init-fini-when-not-compiled-.patch
  Fix the missing intel_sync_close() w/o DRI3 (bnc#908323)
* Thu Dec  4 2014 tiwai@suse.de
- U_Disable-DRI3-by-default.patch
  Disable DRI3 (bnc#908323)
- U_sna-gen8-BLT-broken-when-address-has-bit-4-set.patch
  Fix SNA BLT on BDW/CHV (bnc#908326)
* Wed Sep 24 2014 eich@suse.com
- U_sna-Validate-framebuffer-tiling-before-creation.patch
  Fix regression causing tiling settings not being validated
  which subsequently lead to failed surface allocations (bnc#898169).
* Tue Sep  9 2014 tobias.johannes.klausmann@mni.thm.de
- Update to 3.0 prerelease 2.99.916:
  A Quick update for MST in UXA - we need to hook up the RandR outputs
  for dynamicaly added connectors.
* Tue Sep  9 2014 tobias.johannes.klausmann@mni.thm.de
- Update to 3.0 prerelease 2.99.915:
  A significant change to UXA to enable MST and to keep it working on
  recent kernels needs some soaking before a major release, and the
  usual plethora of bugfixes. One other feature is the support for
  hardware rotations on very recent kernels.
  + Handle rotated scanouts that are all clear correctly. The region to
    update was not being computed correctly, overdrawing the wrong CRTC.
    https://bugs.freedesktop.org/show_bug.cgi?id=81820
  +  Reset cursor images after rotation and size changes
    https://bugs.freedesktop.org/show_bug.cgi?id=81886
    https://bugs.freedesktop.org/show_bug.cgi?id=82273
    https://bugs.freedesktop.org/show_bug.cgi?id=82337
  + Handle stale DRI2 buffers and Client errors more gracefully
  + Fallback if we fail to render a glyph onto a too-large surface, e.g.
    direct rendering of glyphs onto extended desktops with gen2/gen3.
    https://bugs.archlinux.org/task/40949
  + Further work to enable tiled rendering onto large surfaces in
    severely aperture and memory constrained devices (e.g. gen2/gen3)
  + Honour the Primary option from xorg.conf and mark that as the RandR
    primary.
    https://bugs.freedesktop.org/show_bug.cgi?id=82193
    https://bugs.freedesktop.org/show_bug.cgi?id=82205
  + Fix another Client-Window DRI2 close race
    https://bugs.freedesktop.org/show_bug.cgi?id=82979
  + Fix incorrect discarding of GPU damage when copying over the TearFree
    scanout - which caused a flicker in rapidly updated elements (like
    simple video panes).
    https://bugs.freedesktop.org/show_bug.cgi?id=81973
- Remove upstreamed patch:
  Patch1: U_Erase-cursor-image-when-changing-rotation.patch
* Fri Aug 29 2014 eich@suse.com
- u_Erase-cursor-image-when-changing-rotation.patch
  - > U_Erase-cursor-image-when-changing-rotation.patch
* Fri Aug 29 2014 eich@suse.com
- u_Erase-cursor-image-when-changing-rotation.patch
  Erase cursor image when changing rotation:
  The rotated cursor image will be at a different location
  in the 64x64 bit block and won't overlap with the unrotated
  image. Therefore it will not be overwritten if the real image
  is smaller (bnc#893752).
* Fri Aug 29 2014 eich@suse.com
- u_sna_dri3_mesa_relies_upon_implicit_fences.patch
  - > U_sna_dri3_mesa_relies_upon_implicit_fences.patch
  Patches from upstream should be flagged with 'U'.
* Wed Jul 23 2014 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.99.914:
  A brown paper bag to hide the rebuilding from the tarball with
  'autoreconf -fi' error that arose from not distributing the libobj/
  directory.
* Wed Jul 23 2014 tobias.johannes.klausmann@mni.thm.de
- Update to 3.0 prerelease 2.99.913: (Tarball from Git, Release Tarball is broken)
  Officially recognise HD Graphics 5300/5500/5600, Iris Graphics 6100 and
  Iris Pro Graphics 6200/P6300 (formerly known as Broadwell).
  + Check the window actually covers the CRTC before doing a single CRTC flip,
    and then restore the right framebuffer after completing CRTC flips.
    Otherwise we would detect an error and disable an output under TearFree
    Regression in 2.99.912
    https://bugs.freedesktop.org/show_bug.cgi?id=80191
  + Fix framebuffer creation on kernels older than 3.11
    Regression in 2.99.912
  + Check that the damage still exists after implicit reduction
    Regression in 2.99.912
    https://bugs.freedesktop.org/show_bug.cgi?id=77436
  + Fix direction flags for fallback composited CopyAreas which
    caused scrolling corruption in a few configurations
    Regression from 2.20.0
    https://bugs.freedesktop.org/show_bug.cgi?id=79843
  + Do not throw away damage if there is no redundant copy
    https://bugs.freedesktop.org/show_bug.cgi?id=79992
  + Check clipping on PolyRect before discarding the clipped damage
    Regression from 2.99.903
    https://bugs.freedesktop.org/show_bug.cgi?id=79992
  + Fix hints for GLXPixmapa, as these are never swapped and so
    miss invalidating the hints on SwapBuffers with the result
    that they are often presumed blank
    Regression in 2.99.912
    https://bugs.freedesktop.org/show_bug.cgi?id=79999
  + Fix incoherent choice of source bo when constructing 8x8 tiles,
    incorrect pattern origin when extracting, and then fix the
    alignment of colour patterns for BLT operations
    https://bugs.freedesktop.org/show_bug.cgi?id=80033
  + Disable blending with the render engine on snoopable buffers
    https://bugs.freedesktop.org/show_bug.cgi?id=80253
  + Restore throttling to prevent client lag under heavy GPU load
    Regression from 2.21.10
    https://bugs.freedesktop.org/show_bug.cgi?id=77436
  + Use ClientGone for notifications on shared DRI2 windows to prevent
    rare crashes due to use-after-free of the swap requests
    https://bugs.freedesktop.org/show_bug.cgi?id=80157
  + Ensure the mmaped CPU bo is idle before migrating damage
    https://bugs.freedesktop.org/show_bug.cgi?id=80560
  + Fix incorrect clipping by the render engine for large DRI2 windows
  + Ensure that the aperture tiling fallbacks are bounded
  + Validate parameter to xf86-video-intel-backlight-helper more carefully
    (CVE-2014-4910)
  + Fix slaved scanouts for reverse optimus, though rotated slaves will
    require further patches to Xorg.
    https://bugs.freedesktop.org/show_bug.cgi?id=81383
  + Fix build without Composite extension.
  + Fix build without gettline().
  + UXA: Allocate and resize frontbuffer consistently to pass sanity checks
    https://bugs.freedesktop.org/show_bug.cgi?id=80088
  + UXA: Report cached backlight value when the output is off (like sna)
    https://bugzilla.redhat.com/show_bug.cgi?id=1032978
  + UXA: Mark outputs as off before the kernel does (like sna)
    This will prevent the internal panel from starting up blank in some
    multi-monitor configurations
    https://bugzilla.redhat.com/show_bug.cgi?id=1103806
- Note that the DRI2 exchange mechanism introduced in 2.99.912 exposes bugs
  in some compositors, at least kwin and comptom, which discard DRI2 buffer
  invalidates rather than resourcing their texture. For example,
  https://bugs.kde.org/show_bug.cgi?id=336589
- Note that the improved triple buffering introduced in DRI2 requires a patch
  to Xorg (now released upstream) to prevent crashes with DRI_PRIME.
  https://bugs.freedesktop.org/show_bug.cgi?id=80001
- Note that DRI3/Present require tracking the relevant development trees for
  mesa and the xserver as they are very much still under early testing. Also
  be aware that Mesa provides no support for explicit fencing so Damage
  tracking between compositors and clients is unserialised.
- Remove upstream patches:
  + Patch1: U_sna_fix_scanout_creation_routine_for_old_kernels_3_11.patch
  + Patch2: U_sna-Clear-our-private-hints-about-front-rendering-ex.patch
* Wed Jul 23 2014 tobias.johannes.klausmann@mni.thm.de
- Add u_sna_dri3_mesa_relies_upon_implicit_fences.patch (Patch0)
  This resolves redering issues in GTK apps and DRI3
  https://bugs.freedesktop.org/show_bug.cgi?id=81401
  https://bugs.freedesktop.org/show_bug.cgi?id=81551
* Mon Jun 16 2014 sndirsch@suse.com
- U_sna-Clear-our-private-hints-about-front-rendering-ex.patch
  * sna: Clear our private hints about front rendering exported bo
  (fdo#79999)
* Wed Jun 11 2014 tobias.johannes.klausmann@mni.thm.de
- Add patch U_sna_fix_scanout_creation_routine_for_old_kernels_3_11.patch
  Make this driver-version usable with kernel <= 3.11
* Tue Jun 10 2014 sndirsch@suse.com
- Update to 3.0 prerelease 2.99.912:
  A final round of features. We have everything from support for variable
  cursor sizes, support for the DRI3 and Present extensions, improved DRI2
  support, support for Xserver 1.16, userptr from kernel 3.16, and
  precursory support for DP multistream transport,
  * Avoid discarding dirty pixels when promoting a migration to cover the
  whole pixmap.
  Regression in 2.99.911
  https://bugs.freedesktop.org/show_bug.cgi?id=77063
  https://bugs.freedesktop.org/show_bug.cgi?id=77178
  * Avoid overextending degenerate lines (and consequentially accessing
  pixels outside of our damaged area).
  https://bugs.freedesktop.org/show_bug.cgi?id=77074
  * Fix subpixel glyph rendering on gen2 devices (830-865 chipsets)
  Regression in 2.99.911
  https://bugs.freedesktop.org/show_bug.cgi?id=77201
  * Share the global pixman glyph cache between ZaphodHeads
  https://bugs.freedesktop.org/show_bug.cgi?id=54707
  * Light up all connected outputs, even if their status is unknown, on
  takeover from fbcon. This prevents loss of display after a resume
  on recent kernels, for example.
  https://bugs.freedesktop.org/show_bug.cgi?id=77768
  * Show the video overlay (when supported by the hardware) across all
  outputs.
  https://bugs.freedesktop.org/show_bug.cgi?id=77802
  * Do not discard damage when performing "BLT" spans inplace with the CPU.
  Regression from 2.20.10
  * Avoid discarding IO buffers too early during their preparation for a
  new batch
  https://bugs.freedesktop.org/show_bug.cgi?id=79238
  * Fix fallback handling for displaying large scaled framebuffers (that
  are too large to be scaled by the GPU in a single pass)
  https://bugs.freedesktop.org/show_bug.cgi?id=79320
  * Listen to external modifications of backlight value and propagate
  the notifications to RandR clients. This should make the GUI report
  ACPI keypresses to change the backlight correctly.
  https://bugs.freedesktop.org/show_bug.cgi?id=79699
  * UXA: fix pageflips with 3 heads.
  * UXA: do not report a BadMatch error for DRI2GetMsc - as clients are
  often unprepared and die when they get the unexpected error.
* Wed Apr  2 2014 sndirsch@suse.com
- disable build of backlight-helper for now; just too much trouble
  with policykit; and as long as there are GPUs considered supported
  on our distribution without a proper KMS driver it's useless having
  this anyway ...
* Mon Mar 31 2014 sndirsch@suse.com
- specfile: remove URL from source ...
* Wed Mar 19 2014 tobias.johannes.klausmann@mni.thm.de
- Update to 3.0 prerelease 2.99.911:
  Hans de Geode has been working on making the Xserver work without
  privileges under the supervision of systemd/logind. This necessitated a
  few new features for us: server fds (where we are passed which fd to use
  to talk to our device by the Xserver who may in turn receive it from
  logind or other host) and a small backlight helper so that we can continue
  to provide a RandR backlight property when running without root privileges.
  + Flush when changing blend modes on Ironlake, or else single glyphs
    are sometimes rendered incorrectly
    Regression from 2.20.15
    https://bugs.freedesktop.org/show_bug.cgi?id=74882
  + Fix pixmap offsets for pixman fallbacks onto Composite redirected
    windows
    https://bugs.freedesktop.org/show_bug.cgi?id=73811
  + Fix blending onto 8-bit destinations, typically used for generating
    masks in complex Render operations, on gen2
    https://bugs.freedesktop.org/show_bug.cgi?id=75818
  + Handle failure to create DRI bo more carefully. For example on gen3,
    the DDX supports pixmaps that are much, much larger than OpenGL can
    use and do not support the tiling modes that we request for OpenGL.
    https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1289049
  + Fix a bookkeeping bug with proxy buffers that are marked active but
    not actually inserted into a request (so they end up permanently
    active and confuse everybody).
    https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1289923
  + Actually turn off displays with DPMS off for UXA.
    Regression from 2.99.903, but requires
    kernel commit c9976dcf55c8aaa7037427b239f15e5acfc01a3a
    Author: Chris Wilson <chris@chris-wilson.co.uk>
    Date: Sun Sep 29 19:15:07 2013 +0100
    drm/i915: Only apply DPMS to the encoder if enabled
    instead for correct behaviour on Haswell.
    https://code.google.com/p/chromium/issues/detail?id=341135
- Add rpmlinrc file
* Mon Feb 10 2014 sndirsch@suse.com
- Update to 3.0 prerelease 2.99.910
  * Only discard damage when overwriting the dirty CPU bo, instead
    of discarding damage that will be shown!
  * Reset operation state when switching between glyph caches.
    https://bugs.freedesktop.org/show_bug.cgi?id=74494
  * Fully reinitialise pixmaps allocated from the freed cache. Fixes
    a potential issue (crash or misrendering) when using some compositors.
    https://bugs.freedesktop.org/show_bug.cgi?id=74550
  * Do not expose the TexturedVideo adaptor in UXA when it is disabled
    either due to a hung GPU or explicitly disabled by the user.
  * Restore the pipe stall when changing CC state on gen6, otherwise
    the GPU may not flush intermediate results from all EU resulting
    in render corruption (usually the occasional black box).
    Regression from 2.99.906
    https://bugs.freedesktop.org/show_bug.cgi?id=7237
* Thu Feb  6 2014 sndirsch@suse.com
- finall remove
  U_sna-Process-Damage-relative-to-dst-pDrawable-not-its.patch
  from source package
* Sat Feb  1 2014 tobias.johannes.klausmann@mni.thm.de
- Update to 3.0 prerelease 2.99.909:
  Pass the brown paper bag. Ridiculously stupid bug in last minute coding.
  + Add Xv support using glamor acceleration in addition to adaptors
    provided by the UXA backend.
  + Fix overeager discarding of CPU damage
    Regression in 2.99.908
    https://bugs.freedesktop.org/show_bug.cgi?id=74327
* Sat Feb  1 2014 tobias.johannes.klausmann@mni.thm.de
- Update to 3.0 prerelease 2.99.908:
  A couple of regressions dashed the hopes that .907 was to be the final
  release candidate, so time to start the cycle again after applying a few
  more bugfixes.
  + Fix invalid pageflipping of GLXPixmaps by UXA.
    https://bugs.freedesktop.org/show_bug.cgi?id=73282
  + Consistently treat DPMS Suspend/Standy as Off, otherwise we may
    incorrectly restore the backlight in UXA.
  + Fix disabling the backlight in UXA when querying the value whilst off
    https://bugs.freedesktop.org/show_bug.cgi?id=73181.
  + Invalidate between every operation if rendering into the source or mask.
    Fixes regression in 2.99.907 on Ivybridge (seen in KDE)
    https://bugs.freedesktop.org/show_bug.cgi?id=73208
  + Check for available batch buffer state before restoring state on gen4,
    otherwise we overwrite surface state with commands and cause a GPU hang.
    https://bugs.freedesktop.org/show_bug.cgi?id=73348
  + Prevent an invalid free by TearFree
    https://bugs.freedesktop.org/show_bug.cgi?id=73469
  + Fix confusion in TearFree when it tried to pageflip to a stale bo
    https://bugs.freedesktop.org/show_bug.cgi?id=70905
  + Initialise TearFree contents with the current frontbuffer upon creation,
    otherwise old content may be visible for significant fractions of a
    second after resume or DPMS on
    https://bugs.freedesktop.org/show_bug.cgi?id=73842
  + Nullify the old pointer into a CPU mmapping of the bo when promoting it
    on the GPU. Eventually that old pointer becomes invalid and will cause
    the Xserver to crash.
    Fixes regression in 2.99.906
    https://bugs.freedesktop.org/show_bug.cgi?id=73351
  + Restore the serialNumber on the GC correctly after falling back to
    software. This was seen to cause corruption with Wine.
    https://bugs.freedesktop.org/show_bug.cgi?id=73856
  + Do not ignore CPU damage on a pixmap unless the Composite operation
    will completely overwrite it. This was observed in xfce4.
    https://bugs.freedesktop.org/show_bug.cgi?id=69528
  + Skip fake outputs during initial probe as they can cause a NULL pointer
    dereference.
    https://bugs.freedesktop.org/show_bug.cgi?id=73981
  + Fix rendering of dashed zero-width lines onto 24bit buffers
    https://bugzilla.redhat.com/show_bug.cgi?id=1059152
  + Cap the freed Pixmap cache and reuse it more often
    Fixes a regression in 2.99.907 that caused the memory used by X to
    grow until it was cleaned up during server regreneration
    https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1272338
* Tue Dec 31 2013 crrodriguez@opensuse.org
- disable support for legacy User Mode Setting (for i810) on
  !%%ix86 systems, while other distros currently disable this feature
  unconditionally, I am only suggesting this change for architectures
  that do not or cannot have this hardware.
* Mon Dec 30 2013 tobias.johannes.klausmann@mni.thm.de
- Update to 3.0 prerelease 2.99.907:
  The highlight here is that things seem to be quietening down on the
  bug reporting front. All is not quiet as you will see below, and
  maybe it is just the holiday season that is approaching*, but there
  has been a remarkable falloff in bug reports. Lets hope this trend
  holds and we can make a stable release shortly!
  + Acceleration support for Intel's next generation of
    integrated processor graphics has landed, codenamed Broadwell.
  + Fix potential X server infinite recursion (crash) from a gen2 bug fix
    Regression in 2.99.906
    https://bugs.freedesktop.org/show_bug.cgi?id=71605
  + Workaround a missing pipeline flush within Ivybridge, that would
    leave black rectangles randomly over the output
    https://bugs.freedesktop.org/show_bug.cgi?id=68410
  + Fix tiled fills. gen2-3 and gen4+ had two different bugs that
    both broke rendering with small 8x8 patterns in some circumstances
    https://bugs.freedesktop.org/show_bug.cgi?id=71260
  + Fix reads from a cropped video image using a packed pixel format.
  + Another clear the clear hint after DRI2 SwapBuffers, like the bug fixed
    in 2.99.903. Failure to clear the hint would cause read backs of the
    frontbuffer (Xvnc) to be blank.
    https://bugs.freedesktop.org/show_bug.cgi?id=72194
  + Disable VSync on Baytrail
    https://bugs.freedesktop.org/show_bug.cgi?id=69869
  + Handle partial uploads with TearFree correctly
    https://bugs.freedesktop.org/show_bug.cgi?id=72343
    https://bugs.freedesktop.org/show_bug.cgi?id=72430
  + Avoid recusing through DRI event handlers whilst processing TearFree,
    leading to a double free (and memory corruption)
    https://bugs.freedesktop.org/show_bug.cgi?id=72690
  + Hide the gen4 render corruption by crippling the GPU
    https://bugs.freedesktop.org/show_bug.cgi?id=55500
- Remove upstream patch
  Patch1: U_sna-Process-Damage-relative-to-dst-pDrawable-not-its.patch
* Wed Dec 18 2013 sndirsch@suse.com
- disabled glamor support (FATE#316690)
  * Currently the driver doesn't support this acceleration method
    at all. It falls back to UXA, once you specify GLAMOR as
    acceleration method.
* Sat Nov 30 2013 jengelh@inai.de
- Update project metadata
* Fri Nov 29 2013 tiwai@suse.de
- Enable the build of intel-virtula-output tool
* Wed Nov 27 2013 tiwai@suse.de
- U_sna-Process-Damage-relative-to-dst-pDrawable-not-its.patch:
  Fix corrupted output with Emacs and others (bnc#852620)
* Tue Nov 19 2013 tobias.johannes.klausmann@mni.thm.de
- Update to 3.0 prerelease 2.99.906:
  Several stability fixes required after the recent tweaking of the core
  mechanics to handle the updated TearFree and attempting to make static
  analyzers happy.
  + Fix damage handling when rendering to a partially damaged GPU surface.
    Regression in 2.99.905
    https://bugs.freedesktop.org/show_bug.cgi?id=70527
  + Use asprintf() instead of sprintf()
    Regression in 2.99.905
    https://bugs.freedesktop.org/show_bug.cgi?id=70835
  + Improve accounting for fence overallocation on older gen2/3, and
    improve the tiling mechanism to fit into the same aperture constraints
    https://bugs.freedesktop.org/show_bug.cgi?id=70924
  + Add an extra GPU flush on Sandybridge to fix some rare font corruption
  + Rasterise lines through all clip boxes
    https://bugs.freedesktop.org/show_bug.cgi?id=70802
  + Fix regression from stricter handling of failures to move a GC to the GPU
    Regression in 2.99.905
    https://bugs.freedesktop.org/show_bug.cgi?id=71415
  + Fix various fail along the memcpy_xor paths, including inadequate error
    handling and integer overflow
    https://bugs.freedesktop.org/show_bug.cgi?id=70527
  + Fix outside-of-target stipple uploads
    https://bugs.launchpad.net/bugs/1247785
  + Fix clip detection for long glyphs
    Incomplete bug fix (causing a regression) in 2.99.905
    https://bugs.freedesktop.org/show_bug.cgi?id=70527
  + Fix VSync for the render engine (Xv) on Haswell
    https://bugs.freedesktop.org/show_bug.cgi?id=70527
* Mon Nov 18 2013 eich@suse.com
- U_sna-Jump-to-the-right-escape-target-when-bypassing-a-self-copy.patch:
  + sna: Jump to the right escape target when bypassing a self-copy
    fixes fallout of commit e3f15cbf39696edae9f716bdcfbb7032ec7d7e3f
    (bnc#849122, fdo#71415).
* Thu Oct 24 2013 hrvoje.senjan@gmail.com
- Update to 3.0 prerelease 2.99.905
  + Prevent a crash when starting with a user specified mode or position
  + Prevent some crashes in UXA after allocation failure
  + Stop marking the user's preferred backlight value as 0 if the
    backlight property is queried whilst the connector is disabled
    (fdo#70406)
  + Pad GETCONNECTOR ioctl for compatability between 32/64-bit userspace
    and kernel
  + Handle long glyph runs correctly
    (fdo#70541)
  + Fix clipping of stippled rectangles against clip regions
    (fdo#67865)
  + Support TearFree rendering of rotated outputs
    (fdo#22969)
* Wed Oct  9 2013 hrvoje.senjan@gmail.com
- Update to 3.0 prerelease 2.99.904
  + Fix video output using sprites when changing the image size
  + Apply more restrictive tile constaints for 915g class devices
    (lp#1232546)
  + Ensure all overlapping rectangles are drawn for XRenderFillRectangles
    (fdo#66313)
  + Fix trapezoid clipping against the left-edge
    (fdo#69469)
  + Prevent discarding active upload buffers, causing glitches in chromium
    (fdo#66990)
  + Prevent specifying a negative timeout to select if the BlockHandler
    takes too long to update the display
  + Promote the Ironlake pipecontrol to be a full pipeline flush to
    prevent render cache corruption
    (fdo#51422)
  + Never pass an invalid trapezoid to pixman
    (lp#1197921)
  + Prevent out-of-bounds access by overassigning work amongst threads
    (fdo#70204)
  + Make sure the current mode is always listed amongst the output modes
    (fdo#70132)
  + Build fixes for 1.14.99.2
* Sat Sep 28 2013 hrvoje.senjan@gmail.com
- update to 3.0 prerelease 2.99.903:
  + Fix VSync on Haswell. (fdo#69119)
  + Disable Y-tiling on gen4 - (lp#1222203)
  + Disable same EDID detection based on property id - the kernel
    likes to reuse ids leading to a failure to detect the right
    modes on a monitor change.
  + Avoid issuing multiple DPMS requests to the same encoder (alised
    to multiple connectors) to avoid upsetting Haswell and
    leaving the screens blank
  + Honour the user preferrence for the initial mode, even if they
    are being silly (bnc#841696)
  + Clear the clear hint when apply DRI updates - to prevent some
    screenshots from GL windows being left blank. (fdo#69730)
  + Prevent a NULL dereference from trying to undo an non-existent
    buffer (lp#1228677)
  + Handle out-of-memory conditions far more gracefully. If the
    system is hard against the memory wall, then the kernel will
    start issuing SIGBUS even for CPU mmaps. Untrapped these
    will cause X to die. (fdo#67889)
* Wed Sep 11 2013 sndirsch@suse.com
- update to 3.0 prerelease 2.99.902
- switch to SNA as default acceleration method, i.e. taking the new
  upstream default
* Wed Aug 21 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.21.15:
  Some build fixes for the BSDs and alternate compiler, and conflicting
  configure options and a critcial fix for some PRIME setups.
  + Don't fail to configure if DRI1 is not available and the user asks
    for both DRI and KMS-only [Regression from 2.21.14]
  + Lots of miscellaneous fixes for older gcc, other compilers and BSD.
  + Initial framework support for hosted X.
  + Improve transition from fbcon to X with multiple outputs and extended
    desktops.
  + Ensure the framebuffer exists before checking it against the CRTC
    constraints.
    https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/121234
    [Regression from 2.21.10]
  + Add RGB overlay support for Ironlake and later.
  + Don't release the overlay buffer too early, i.e. before the client
    disables the Xv image.
  + Tweak the ring switching logic to reduce use of semaphores on
    Sandybridge and later - a delicate balancing act between trying to
    use the faster engine for the task and preventing concurrent use of
    multiple rings.
- Packaging changes:
  + Remove xf86-video-intel-copyfb.diff (patch1)
    Remove this old and long disabled patch. We shipped at least 12.3
    wihout it!
* Wed Aug  7 2013 tobias.johannes.klausmann@mni.thm.de
-  Remove xf86-video-intel-dell_backlight.diff (patch0)
* Sun Aug  4 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.21.14:
  A few updates for the top-end Haswell systems (notably GT3 and GT3e
  systems), in particular, setting the appropriate thread counts for the
  larger GPU and handling a few scaling issues with the emedded DRAM. More
  important than the performance tuning though is a fix for a critical
  issue encountered by a few people on gen4/gen5 systems.
  + Initial performance tuning for HSW:GT3e
  + Fix a crash with Planetary Annihilation
  + Disable triple buffering for compositors
  + Reserve space in the exec buffer array for deferred VBOs.
    https://bugs.freedesktop.org/show_bug.cgi?id=67504
- Packaging changes:
  + Remove xf86-video-intel-dell_backlight.diff (patch0)
    Included in ths release
* Sun Jul 28 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.21.13:
  A minor release to repair the build for non-Linux systems, and to undo a
  few more regressions.
  + Avoid potential memory corruption with allocations of very small
    depth 1 bitmaps.
  + Fix source clipping whilst computing copy extents and exposures.
    [Regression from 2.21.12]
    https://bugs.freedesktop.org/show_bug.cgi?id=66970
  + Use /proc/cpuinfo if cpuid4 is not available (old hardware or old
    gcc), and repair the build on systems without cpuid.
    [Regression from 2.21.12]
  + Fix performance regression on Ironlake from inadvertently flushing
    after every operation.
    [Regression from 2.21.11]
    https://bugs.freedesktop.org/show_bug.cgi?id=67157
  + Fix conflict handling when probing initial KMS configuration for
    ZaphodHeads.
    [Regression from 2.21.11]
    https://bugs.freedesktop.org/show_bug.cgi?id=67176
  + Stop being overly restrictive and rejecting stale DRI2 buffers.
    (DRI2 is inherently racy in that the client may have completed and
    submitted rendering to buffers that are now invalid on the server.
    This race is magnified by bugs within the Xserver where it forgets
    to notify the DRI2 clients of certain invalidation events.)
    https://bugs.freedesktop.org/show_bug.cgi?id=67210
  + Handle a failure to use a GTT mmap for a pixmap upload and try
    an alternative method before giving up.
* Sun Jul 14 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.21.12:
  In this release, we clear up the teething troubles from preserving the KMS
  configuration, notably external connections on Haswell and plugging in new
  outputs after startup were broken. Besides these regression fixes, there
  are a couple of fixes for some long standing issues, such as incorrect
  rendering on gen2, an infinite loop with very, very large pixmaps and a
  slight improvement to the tempermental gen4.
  + Allow untiled scanouts again (required for large extended desktops on
    gen2 and gen3).
    [Regression from 2.21.11]
  + Use the correct count of the number of dirty damage boxes for the quick
    check on whether the existing damage contains the requested area.
    The danger is that we may get a false result and skip migration and so
    cause pixmap corruption (in the unlikely event that the application
    frequently causes fallbacks).
    [Regression from 2.21.11]
    https://bugs.freedesktop.org/show_bug.cgi?id=66430
  + Fix initial connection probing for multi-function encoders, such as the
    external connections on Haswell.
    [Regression from 2.21.11, initial connection probing]
    https://bugs.freedesktop.org/show_bug.cgi?id=66488
  + Fix gen2 rendercopy into a8 surfaces, for example, glyph uploads into
    the glyph cache.
  + Fix detection of user overrides for initial connection configuration.
    The code used the xorg-server-1.15 values, having missed the
    introduction of ZoomModes into that release.
    [Regression from 2.21.11, initial connection probing]
  + Always initialise the gamma ramp, even on unconnected CRTCs.
    https://bugs.freedesktop.org/show_bug.cgi?id=66563
    [Regression from 2.21.11, initial connection probing]
  + Some more tuning of the gen4 vertex corruption workaround. The root
    cause behind the GPU using incorrect texture coordinates is still
    not solved, but by reducing the maximum number or rectangles in
    flight through the GPU we reduce the likelihood of corruption.
  + Fix compilation with gcc-4.5
    [Regression from 2.21.11]
  + Avoid integer overflow when performing tiled uploads and operations
    on very large (>28k pixels wide or tall pixmaps)
    https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1200766
* Mon Jul  1 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.21.11:
  An eventful week. What started with a regression with some builds of
  firefox on some machines lead ultimately to the discovery of an older
  kernel bug. Aside from the work to fix the image bug and a few other
  older bugs that were reported and resolved this week, there is also a
  (hopefully) subtle change to the initial configuration of displays. In
  the absence of user overrides in xorg.conf, the DDX will try to preserve
  the same display configuration as used by the kernel, which hopefully
  will be the same configuration as setup by the BIOS. The result should
  be a boot sequence that does not resize at all (aka fastboot) - until
  the display manager takes over and loads a completely different
  configuration!
  + Add reference counting of drmMaster for ZaphodHeads
    https://bugs.freedesktop.org/show_bug.cgi?id=66041
  + Add a GPU flush before changing blend modes on Ironlake
    https://bugs.freedesktop.org/show_bug.cgi?id=51422
  + Fix occasional missing images for inplace uploads
    [regression from 2.21.10]
    https://bugs.freedesktop.org/show_bug.cgi?id=66059
  + Add missing utility files to the tarball and remove a few unused ones
  + Initialise PolyPoint operand state before calling miWideDash
    https://bugs.freedesktop.org/show_bug.cgi?id=66104
  + Fix redirection handling for rendering into large surfaces
    https://bugs.freedesktop.org/show_bug.cgi?id=66168
    https://bugs.freedesktop.org/show_bug.cgi?id=66249
  + Fix compilation of UXA with xorg-xserver < 1.10
    [regression from 2.20.0]
  + Fix consideration of gradients for deciding when to migrate render
    operations
    [performance regression from 2.21.10, the bug itself is older]
    https://bugs.freedesktop.org/show_bug.cgi?id=66297
* Sun Jun 23 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.21.10:
  Fixes missing support for Xv (with the textured video adaptor) on
  Haswell, and an old bug with wide monitors on various generation. Along
  with a few other regression fixes and performance tweaks for various
  corner cases.
  + Do not lose track of fast pageflips across mode changes
    [regression from 2.20.8]
  + Fix listing of Visuals for Xv
    [regression from 2.21.8]
    https://bugs.freedesktop.org/show_bug.cgi?id=65479
  + Improve coherency of concurrent CPU accesses to a pixmap
    https://bugs.freedesktop.org/show_bug.cgi?id=61628
  + Set sampler swizzling for textured video on Haswell
    https://bugs.freedesktop.org/show_bug.cgi?id=65699
  + Apply scanout stride limits
    https://bugs.freedesktop.org/show_bug.cgi?id=65099
  + Undo the self-copy for cloned pixmaps for loimpress's animations
    [regression from 2.21.7]
    https://bugs.freedesktop.org/show_bug.cgi?id=65665
* Thu Jun  6 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.21.9:
  Consolidating the copy-on-write support, hopefully cleaning up the last of
  the regressions.
  + Restore vsync on textured videos. [regression from 2.21.8]
    https://bugs.freedesktop.org/show_bug.cgi?id=65048
  + Fix incorrect ordering of possible_clones with certain outputs, which
    can lead to attempting to incorrectly clone 2 outputs and failing to
    light them up. [regression from 2.20.10]
  + Fix performance regression from not promoting large fills to the GPU
    [regression from 2.21.7]
  + Undo the pixmap clone before performing a DRI2CopyRegion
    [regression from 2.21.7]
    https://bugs.freedesktop.org/show_bug.cgi?id=65250
* Mon May 27 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.21.8:
  A quick release to cleanup a few regressions from the introduction of
  copy-on-write support, notably hitting wine applications and a memory
  leak for firefox.
  + Only mark a PolyFillRect operation as replacing if it is unclipped
    https://bugs.freedesktop.org/show_bug.cgi?id=64841
  + Prevent potential NULL dereference of damage when checking COW support
  + Fix invalidation of clone after dirtying the pixmap via the CPU
  + Prevent discarding an operation before requiring it for a fallback
  + Fix memory leak from replacing the clone under certain circumstances
    https://bugs.freedesktop.org/show_bug.cgi?id=64978
* Tue May 21 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.21.7:
  A couple of weeks turned into a month and a couple of weeks... Amidst
  the usual bug fixes, we have added the complete set of Haswell PCI IDs -
  hopefully future proofing ourselves against being surprised by new
  products. We can also now use the correct term for the top of the range
  Haswell variants, GT3.
  + Fix several assertion failures hit by Jiri Slaby.
  + Allow XvMC to also target overlay/sprite planes.
  + Throw in a paranoid MI_FLUSH between BLT and RENDER operations on
    Ironlake.
    https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1168066
  + Prevent reuse of old framebuffers after a resize.
    https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1157678
  + Fix compilation with --enable-valgrind and no --enable-debug
  + Improve partial migration of render sources.
  + Fix origin of trapezoids.
    https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1178020
  + Introduce copy-on-write support for cloning pixmaps. The ultimate
    goal here is to efficiently support the TearFree mode of operation,
    but this provides immediate benefits with firefox - most importantly
    because of the inefficient way it now implements scrolling.
* Mon Apr  8 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.21.6:
  A surprising highlight of this release is a little refresh to the KMS
  support for OpenBSD. OpenBSD now has its own KMS implementation which is
  mostly compatible with the interface in Linux, with one or two tweaks
  supplied by Mark Kettenis. This release continues to cleanup behaviour
  for Haswell.
  + Workaround a failure by the xserver to invalidate DRI buffers
    following a pixmap change for XComposite redirection.
    https://bugs.freedesktop.org/show_bug.cgi?id=62614
  + Fix computation of clip extents for stippling
    https://bugs.freedesktop.org/show_bug.cgi?id=62618
  + Support KMS on OpenBSD, by Mark Kettenis
  + Clean up sockets upon CloseScreen (making ourselves better behaved
    for muxed setups).
  + Fix the tests for AVX/AVX2 support in CPUID and remember to check for
    OS support as well.
  + Report a monotonic UST value for undisplayed drawables rather than 0
    by Daniel Kurtz
  + Fix video playback on gen4 through a complex clip (more gen4 GPU woes)
    https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1162046
* Sat Mar 23 2013 zaitor@opensuse.org
- Update to version 2.21.5:
  + Haswell reintroduces a command to load the scanline window from
    the command stream and so requires its own specialised
    wait-for-vsync routine. Failure to do so was then causing hangs
    when trying to do tearfree video or use a compositor.
  + Prevent buffer leak if a non-fullscreen Window is closed with
    multiple pending swap events.
  + Fix offset transformation for fallback gradient paths
    (fdo#62198).
  + Prevent Glamor from crashing if misconfigured.
  + Prevent UXA from crashing if torn down during PreInit.
  + Prevent miscompilation with different functional units having
    different compiler flags. (fdo#62198)
  + Fix rendering of CompositeTriFan with recent Xorg.
  + Apply the video src-offset fix highlighted in the last release
    (fdo#62343).
  + Fix rendering of multiple glyphs to very large destination
    surfaces (lp#1156387).
  + Fix scanline waits for Haswell (lp#1156679).
* Wed Mar 20 2013 sndirsch@suse.com
- introduce hardware supplements conditional on xorg-x11-server
  package (bnc#810333)
- moved 'Recommends: intel-gpu-tools' from xorg-x11-driver-video
  meta package to this package
* Tue Mar 12 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.21.4:
  More bugs, more fixes, more releases. A minor new feature being introduced
  is the runtime detection of CPU instructions sets along with specialised
  paths to take advantage of the available CPU.
  + Honour LinearFramebuffer for clumsy PowerXpress integration
  + Disable read-read optimisations of mappings whilst the root
    cause of a corruption issue remains elusive.
    https://bugs.freedesktop.org/show_bug.cgi?id=61628
  + Disable 8-bpp framebuffers in UXA as the regressions therein
    remain unfixed.
  + Restart vertex checks after lock contention
    https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1124576
  + Handle Screen Pixmap recreation whilst exported via PRIME.
  + Correct application of scale factors to video source offsets.
    https://bugs.freedesktop.org/show_bug.cgi?id=61610
  + Chain up CloseScreen so that resources are actually freed across regen
    https://bugs.freedesktop.org/show_bug.cgi?id=56608
  + Fix Haswell CRW PCI-IDs
  + Handle batch submission failure during DRI copies
    https://bugs.freedesktop.org/show_bug.cgi?id=61708
  + Probe for kernel support of requested Screen depth
    https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1135403
  + Correct GPU limits for early gen2 and gen3 architectures and prevent
    an infinite recursion for particular image sizes.
* Thu Feb 21 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.21.3:
  A few minor bugfixes, another point release.
  + Fix tracking of DRI pixmaps and their backing bo across reparenting. If
    we tried to execute a SwapBuffers after a Window was reparented, but
    before the DRI client has updated its references, then we would end up
    manipulating an exported pixmap without a flush flag set. In the worst
    case, this would culminate in a segfault in the driver.
    https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1127497
  + Restore the gen4 workarounds for flickering rendering - a few cases still
    remain, as the root cause persists.
    https://bugs.freedesktop.org/show_bug.cgi?id=60402
  + Double check that the device has KMS enabled before claiming. This allows
    X to gracefully fallback to VESA/fbdev rather than bailing out.
    https://bugs.freedesktop.org/show_bug.cgi?id=60987
  + Fix the UXA render programs for projective transforms on Ivybridge.
* Sun Feb 10 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.21.2:
  Pass the brown paper bags, I need half a dozen or so. That seemingly
  innocuous build fix with xorg-1.13 happned to have the little side-effect
  of breaking glyph rendering with xorg-1.12 and older on 64-bit machines.
* Sun Feb 10 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.21.1:
  A fix for a potential GPU hang on 945gm (GMA3100) and earlier chipsets,
  along with backporting SNA to the packages found in stable distributions
  like Debian 6.0 (Squeeze).
  + Cleanup compilation warnings from deblint, thanks to Paul Menzel
  + Minor build improvements by Damien Lespiau.
  + Disable generating span geometry for non-rectilinear spans on gen4
  in order to work around and prevent one class of render corruption.
  + Prevent cache thrashing and severe performance degradation on LLC
    machines for streaming texture updates. However, note the effect was
    only observed on just one particular laptop.
  + Fix alignment of subsurface proxies for old chipsets.
    https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel
  + Repair build against Xorg-1.6 and contemporary packages.
* Fri Feb  1 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.21.0:
- A few new features:
  + Enable render acceleration for Haswell GT1/GT2.
  + Enable multi-threaded rasterisation of trapezoids and fallback composition
  + Utilile a new kernel interface (v3.9) for processing relocations
- Along with a few older features from the 2.20.x series:
  + PRIME support for hotplug GPUs and hybrid systems
  + Support for IvyBridge GT1 machines, aka HD2500 graphics.
  + Stable 830gm/845g support, at last!
- As usual we have a large number of bug fixes since the last release:
  + Prevent a stray relocation being left after a buffer is removed from
    a batch, leading to GPU hangs.
  + Make the driver more robust against its own failures to submit batches
    by falling back to software rendering.
  + Fix emission of scanline waits for secondary pipes on gen6/7. Otherwise
    you may encounter GPU hangs in MI_WAIT_FOR_EVENT.
  + Fix a missing corner pixel when drawing rectangles with PolyLines
    https://bugs.freedesktop.org/show_bug.cgi?id=55484
  + Don't try to use Y-tiling colour buffers with mesa/i915c as mesa
    doesn't support them and wil fallback to software rendering
  + Ensure that any cached mmaps are invalidated for a SwapBuffers
    https://bugs.freedesktop.org/show_bug.cgi?id=60042
  + Correctly handle the composition of rotated displays too large for the
    3D pipeline
    https://bugs.freedesktop.org/show_bug.cgi?id=60124
  + Fix the computation of the planar video frame size
    https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1104180
* Mon Jan 21 2013 sndirsch@suse.com
- Update to version 2.20.19:
  A quick release as the last broke USB DisplayLink slave outputs
  badly. The performance of those displays was unusable due to a
  inadvertent change that caused us to flush the entire scanout
  over the USB for every drawing operation.
* Wed Jan 16 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.20.18:
  A bunch of miscellaneous fixes for assertion failures and various
  performance regressions when mixing new methods for offloads, along with
  a couple of improvements for rendering with gen4.
- Bugs fixed since 2.20.17:
  + Remove use of packed unnormalized texture coordinates on gen4/5 as
    these GPUs do not support unnormalized coordinates in the sampler.
  + Remove dependency upon x86 asm for cross-building to unsupported
    architectures.
    https://bugs.gentoo.org/show_bug.cgi?id=448570
  + Apply damage around PRIME updates in the correct order.
  + Correctly read the initial backlight level for when the user
    overrides UXA's choice of backlight controller.
  + Throttle UXA and prevent it queuing work much faster than the GPU can
    complete it. This realised itself in impossible performance figures and
    the entire display freezing for several seconds whlist the GPU caught
    up. One side effect is that it also caused the DDX to consume more
    memory than was required as it could not recycle buffers quick
    enough, and in some cases this produces a marked improvement in
    performance. Also note on gen2/3 this requires a new libdrm [2.4.41]
    in order to prevent a bug causing the DDX to fallback to swrast.
* Wed Dec 26 2012 tobias.johannes.klausmann@mni.thm.de
- Update to 2.20.17:
  A minor update to prepare for co-operating with the kernel over managing
  stability on 830gm/845g. On this pair of chipsets, the kernel will perform
  an extra copy of the batchbuffer into reserved memory, which prevents them
  from randomly dying. However, that extra copy does have a noticeable
  impact upon throughput, so we also have a mechanism for userspace to
  opt-out of the kernel workaround and take responsibility for ensuring its
  batches are coherent.
- Bugs fixed since 2.20.16:
  + Build fixes against xorg-1.14
    https://bugs.freedesktop.org/show_bug.cgi?id=58552
    https://bugs.freedesktop.org/show_bug.cgi?id=58406
  + Fixed the origin of cropped (textured) video windows (Xv and XvMC)
    https://bugs.freedesktop.org/show_bug.cgi?id=23033
  + Fix potential corruption when using images larger than ~1GiB
* Sun Dec 16 2012 tobias.johannes.klausmann@mni.thm.de
- Update to 2.20.16:
  Rejoice! We have found a trick to make 830gm/845g stable at long last.
  Ever since the switch to GEM and dynamic video memory, those early
  second generation chipsets have been plagued by instability. The lack of
  flushing cachelines from the CPU to GMCH was eventually solved by using
  an undocmented bit, but 830/845 were still hanging under memory pressure.
  These deaths were all due to garbage finding its way into the command
  streamer, and they go away if we take a leaf out of the original driver
  and never reuse those pages for anything else. So for the first time
  ever, I have been able to complete running the test suite on an 845g,
  even whilst thrashing the page and buffer caches!
- Bugs fixed since 2.20.15:
  + Run the SF stage as single-threaded on gen4 to workaround a few issues
    https://bugs.freedesktop.org/show_bug.cgi?id=57410
  + Keep the scanout SURFACE_STATE separate to avoid overriding its
    memory access control on gen6/7 (i.e. writes to the scanout need to
    be kept out of the render cache)
  + Tune batch flushing after an operation to an exported surface under a
    compositor.
  + Make sure the source is on the CPU for inplace composition of trapezoids
    using the CPU
    https://bugs.freedesktop.org/show_bug.cgi?id=56825
  + Immediately flush in the block hander after a split batch to reduce
    latency between the two halves of an operation.
    https://bugs.freedesktop.org/show_bug.cgi?id=51718
  + Install a fallback config if we fail to install the desired config
    at VT switch (i.e. booting, after resume with 3 incompatible pipes on
    Ivybridge)
  + Pin batches to avoid CS incoherence on 830/845
    https://bugs.freedesktop.org/show_bug.cgi?id=26345
* Mon Dec  3 2012 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.20.15:
  And lo, enabling more of the common acceleration paths for gen4 revealed
  another lurking bug - something is wrong with how we prepare Y-tiling
  surfaces for rendering. For the time being, we can surreptiously disable
  them for gen4 and avoid hitting GPU hangs.
- Bugs fixed since 2.20.14:
  + Avoid clobbering the render state after failing to convert the
    operation to use the blitter.
    https://bugs.freedesktop.org/show_bug.cgi?id=57601
  + Disable shadow tracking upon server regeneration, and so fix a crash
    if you restart the server whilst a RandR transform (e.g. rotation) is
    in effect.
    https://bugs.freedesktop.org/show_bug.cgi?id=52255
    https://bugs.freedesktop.org/show_bug.cgi?id=56608
* Mon Nov 26 2012 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.20.14:
  The highlight of this release is gen4, from 965g to gm45. Quite an old
  bug surfaced in the shader assembly, sparking a chance to review a few
  design choices within that backend and experiment on fresh ways to
  workaround the remaining issues.
- Bugs fixed since 2.20.13:
  + Avoid using inplace XOR'ed uploads for very large buffers
    https://bugs.freedesktop.org/show_bug.cgi?id=57031
  + Fix the gen4/5 opacity shader
    https://bugs.freedesktop.org/show_bug.cgi?id=57054
  + Queue a pending vblank request after flip completion
    https://bugs.freedesktop.org/show_bug.cgi?id=56423
  + Avoid migrating an uninitialised pixmap for use as a render source
    https://bugs.freedesktop.org/show_bug.cgi?id=47597
  + Improve handing of texture fallbacks for 830/845.
    https://bugs.freedesktop.org/show_bug.cgi?id=57392
* Sun Nov 11 2012 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.20.13:
  Nothing but bug fixes.
- Bugs fixed since 2.20.12:
  + Sanity check the platform probe points to our expected i915 device
    https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1069031
  + Prevent 16-bit overflow for computing the sample area to upload of
    sources for render operations
    https://bugs.freedesktop.org/show_bug.cgi?id=56324
  + Clamp the drawable box for migration to prevent 16-bit overflow
    https://bugs.freedesktop.org/show_bug.cgi?id=56591
  + Disable RandR hotplug events if Xinerama is enabled and thereby prevent
    a crash upon hotplug
    https://bugs.freedesktop.org/show_bug.cgi?id=55260
  + Call ValidatePicture before attempting to flatten the alphamaps
    https://bugs.freedesktop.org/show_bug.cgi?id=56367
  + Clip the trapezoid correctly if it ends on the boundary pixel
    https://bugs.freedesktop.org/show_bug.cgi?id=56395
  + Make sure the pipeline choice is propagated to the scanline wait
    across a batch flush
    https://bugs.freedesktop.org/show_bug.cgi?id=47597
  + Set the valid drawable box when choosing placement of BLT composite ops
    https://bugs.freedesktop.org/show_bug.cgi?id=47597
  + Prevent use-after-free when promoting a partial-GPU bo to a full-GPU bo
    https://bugs.freedesktop.org/show_bug.cgi?id=56591
  + gen4 opacity spans require the per-rectangle workaround
    https://bugs.freedesktop.org/show_bug.cgi?id=55500
  + Prevent use of invalid damage pointers when redirecting rendering
    https://bugs.freedesktop.org/show_bug.cgi?id=56785
* Sat Oct 20 2012 tobias.johannes.klausmann@mni.thm.de
- Update to 2.20.12:
  More bug reports, more bug fixes! Perhaps the headline feature is
  that with secure batches, coming to a 3.8 kernel near you, we may
  finally have the ability to perform updates to the scanout synchronized
  to the refresh rate on later SandyBridge and IvyBridge chipsets. It comes
  at quite a power cost as we need to keep the GPU out of its power saving
  modes, but it should allow legacy vsync to function at last. But this
  should allow us to address a longstanding issue with tearing on
  SandyBridge+.
- Bugs fixed since 2.20.10:
  + Fix component-alpha rendering on IvyBridge, for example subpixel
    antialiased glyphs.
    https://bugs.freedesktop.org/show_bug.cgi?id=56037
  + Flush before some "pipelined" state changes on gen4. The evidence is
    that the same flushes as required on gen5+ are also required for gen4.
    https://bugs.freedesktop.org/show_bug.cgi?id=55627
  + Prevent a potential crash when forcing a stall on a busy CPU bo
    https://bugs.freedesktop.org/show_bug.cgi?id=56180
- [Release 2.20.11 contained a typo causing UXA to fail immediately.]
* Sun Oct 14 2012 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.20.10:
  The last couple of weeks have been fairly retrospective, a dive
  into prehistory tidying up the earlier generations which lay
  languishing as the core progressed and lead to a number of annoying
  core bugs being fixed.
- Bugs fixed since 2.20.9:
  + Release DRM master earlier during shutdown so switching between
    multiple X servers works automatically.
    https://bugs.freedesktop.org/show_bug.cgi?id=55446
  + Suppress error propagation from DRI2GetMSC and behave as if the
    pipe was simply off to avoid unexpected errors in the clients
    https://bugs.freedesktop.org/show_bug.cgi?id=55395
  + A few fixes to i8xx batch emission, ensuring that the GPU is
    always in a valid state.
    https://bugs.freedesktop.org/show_bug.cgi?id=55455
  + Prevent a use-after-free during UXA shutdown due to inspecting
    the glamor flags after the glamor interface had been freed.
  + Prevent a crash combining TearFree and rotations.
    https://bugs.freedesktop.org/show_bug.cgi?id=55527
  + Correct a missing damage upload along PutImage after using the CPU
    bo as a source for the GPU.
    https://bugs.freedesktop.org/show_bug.cgi?id=55508
  + Fix compilation for older glibc without O_CLOEXEC
    https://bugs.freedesktop.org/show_bug.cgi?id=55577
  + Fix out-of-tree builds failing to recompile the gen4 assemblies
    https://bugs.freedesktop.org/show_bug.cgi?id=55645
  + Fix non-standard build host configuration handling for intel-gen4asm
    https://bugs.freedesktop.org/show_bug.cgi?id=55646
  + Fix a potential batch buffer overflow when replacing the last BLT
    fill operation with a copy
    https://bugs.freedesktop.org/show_bug.cgi?id=55700
  + Flush the render pipeline more frequently on Ironlake as not all
    pipelined state changes are.
    https://bugs.freedesktop.org/show_bug.cgi?id=51422
  + Detect when we need to read the destination for the background raster
    op during fallbacks.
    https://bugs.freedesktop.org/show_bug.cgi?id=55810
  + Avoid a potential deference of an invalid CPU mmap after doing an
    inplace tiled upload.
    https://bugs.freedesktop.org/show_bug.cgi?id=55812
  + Prevent sign extension when packing the upload data for CopyPlane
    https://bugs.freedesktop.org/show_bug.cgi?id=55823
  + Fix some render corruption with a UDL slave output and pageflipping
* Sat Sep 29 2012 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.20.9:
  And so it came to pass that a critical bug was uncovered in UXA. The
  kernel does not like to pageflip when the pipe is off, yet due to the
  delayed nature of a pageflip and the relaxed checking performed by UXA,
  we could request a pageflip after turning off the display (DPMS). The
  kernel rejected that pageflip and the error handling path failed to
  restore sanity, and when the screen came back it was stuck on the image
  seen before it went to sleep. (Note that there are also some related
  kernel bugs, but this update should prevent the most conspicious of the
  freezes.) Many thanks to Timo Aaltonen for his efforts in tracking down
  the issue.
- In other news:
  + Prepare for xorg-1.4, the api is being tweaked again.
  + Handle early FreeScreen in UXA.
    https://bugs.freedesktop.org/show_bug.cgi?id=55346
  + Reenable XvMC support
  + Do not replace the GPU bo when uploading into the shadow/CPU copy
    https://bugs.freedesktop.org/show_bug.cgi?id=54978
  + Fix use of an uninitialised GC when drawing glyphs to a depth=1 pixmap
* Sun Sep 16 2012 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.20.8:
  + Some bugs fixed, see below
  + Enabling ValleyView SDV
- Bugs fixed since 2.20.7:
  + Add an extra layer of defence against trying to use a non-GEM device
    with UXA. This should already be taken care of with the new probe,
    but the extra sanity check already existed in the code but was doing
    nothing.
    https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/962892
  + Fix computation of valid CRTCs bitmask for ZaphodHead
    Some systems can only handle certain outputs on certain pipes
    (Screens), and this information was not being propagated through to X
    and randr correctly, breaking valid configurations and not detecting
    invalid configurations correctly.
  + Disable global glyph caching with ZaphodHeads.
    The glyph privates need to be Screen private, but at the moment are
    global leading to conflicts and invalid rendering with multiple heads.
    https://bugs.freedesktop.org/show_bug.cgi?id=54707
  + Prevent direct read back of unmappable buffers
    https://bugs.freedesktop.org/show_bug.cgi?id=54808
  + Tile large uploads whilst replacing the alpha channel
    https://bugs.freedesktop.org/show_bug.cgi?id=54808
  + Correct the source offset when converting a RENDER composite
    operation into a BLT composite operation.
    https://bugs.freedesktop.org/show_bug.cgi?id=54868
  + Correct a minor typo in flattening alphamaps which caused the
    replacement pixmap to often end up with a height of zero.
    https://bugs.gentoo.org/show_bug.cgi?id=434860
  + Don't discard the CPU damage if only part is being replaced.
    This is most evident when combining software renders like Opera with
    accelerated rendering.
    https://bugs.freedesktop.org/show_bug.cgi?id=54937
* Sat Sep  8 2012 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.20.7:
  Continuing the flurry of releases, this week saw the release of
  xorg-1.13 bringing with it the first steps towards hotpluggable gpu
  support and the ability to offload DRI rendering onto other GPUs. In
  light of that advance, this release includes the support code by Dave
  Airlie to integrate PRIME into xf86-video-intel and make those new
  features available.
- Aside from landing PRIME, a few other bugs were fixed since 2.20.6:
  + Fix framebuffer leak on server regeneration
  + Fix texture cache flushing on IvyBridge and Kwin with plastique
    https://bugs.freedesktop.org/show_bug.cgi?id=54488
  + Redirect large solid fills on SandyBridge+. By large I mean greater
    than 8192 or 16384 pixels on SandyBridge and IvyBridge respectively.
    https://bugs.freedesktop.org/show_bug.cgi?id=54134
  + Fix up backlight option handling in the manpage and uxa.
    https://bugs.freedesktop.org/show_bug.cgi?id=54397
  + Unbreak ZaphodHeads.
    https://bugs.freedesktop.org/show_bug.cgi?id=52438
* Mon Sep  3 2012 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.20.6:
  A serious bug that caused a crash on SandyBridge and IvyBridge when
  mixing CPU and GPU operations on the same buffer, and an annoyance from
  bad scheduling of windowed swapbuffer updates causing low framerates and
  jitter. Plus the usual smattering of assertion fixes and a long standing
  issue with incoherent page access to a streaming buffer.
- Bugs fixed since 2.20.5:
  + Low frame rates in Blobby Valley when "fullscreen"
    https://bugs.freedesktop.org/show_bug.cgi?id=54274
  + Incoherent concurrent access with the CPU and GPU
  + Add Option "Backlight" to override automatic selection of the
    backlight interface.
  + Avoid overwriting the composite operation info when testing if we
    can transfer the operation to the BLT.
* Mon Sep  3 2012 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.20.5:
  Another silly bug found, another small bugfix release. The goal was for
  the driver to bind to all Intel devices supported by the kernel.
  Unfortunately we were too successful and started claiming Pouslbo,
  Medfield and Cedarview devices which are still encumbered by propietary
  IP and not supported by this driver.
- Bugs fixed since 2.20.4:
  + Only bind to Intel devices using the i915 kernel module
  + Regression in the bitmap-to-region code, e.g. icewm window buttons
    https://bugs.freedesktop.org/show_bug.cgi?id=53699
* Sat Aug 18 2012 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.20.4:
  Continuing the small bugfix releases, the only real feature is initial
  enabling for Haswell for the purpose of rendering verification and
  validation - by no means is it complete!
- Bugs fixed since 2.20.3:
  + Some potential errors along failure paths found by a static analyser
    with the help of Zdenek Kablac.
  + Eliminate zero-sized rectangles from PolyFillRectangles as the code
    assumes that they did not exist and so caused corruption.
  + Remove the UXA warning for failing to tile the front buffer if it is
    disallowed by hardware, and so expected.
  + Fix the validation of the XV pipe parameter.
  + Fix 8x8 tiled pattern fills
    https://bugs.freedesktop.org/show_bug.cgi?id=53353
  + Fix compile failure when using --with-builderstring
  + Restore w/a flush for gen4 fill/copy/video, fortunately rare
    operations as at least for fill/copy we prefer to use the BLT.
    https://bugs.freedesktop.org/show_bug.cgi?id=53119
  + Restore preferred use of the RENDER ring for SNB+ DRI copies.
* Sat Aug  4 2012 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.20.3:
  Just a minor bugfix for gen4 chipsets (965gm, gm45 and friends) that
  crept into 2.20.2. As an added bonus, the pessimistic workaround for a
  GPU hang on gen4 has been relaxed and the shaders have been overhauled
  which should pave the way to eliminating the last of the uncommon CPU
  operations, along with immediately realising a small performance
  improvement.
- Bugs fixed since 2.20.2:
  + Update DPMS bookkeeping after modeset
    https://bugs.freedesktop.org/show_bug.cgi?id=52142
  + Avoid overlapping gpu/cpu damage after ignoring cpu damage in the
    consideration of placement for the operation.
  + Enable acceleration by default on 830gm/845g. The GMCH on this pair
    of chipsets is notoriously incoherent, so the GPU is almost certainly
    going to hang at some point, though unlikely to hang the system and
    should automatically disable acceleration (and thence behave
    identically as if the acceleration was disabled from the start).
    Option "NoAccel" can be used to disable all 2D acceleration and
    Option "DRI" can be used to disable all 3D acceleration.
    https://bugs.freedesktop.org/show_bug.cgi?id=52624
  + Fix vertex bookkeeping for gen4 that was causing corruption in the
    command stream.
* Fri Jul 27 2012 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.20.2:
  + FixedIvyBridge GT1 systems (HD2500 graphics) GPU hang
  + Support for the gmux backlight controller on Apple laptops
    https://bugs.freedesktop.org/show_bug.cgi?id=52423
  + Fix X -configure not to list this driver as matching any Intel device,
    just the VGA class devices will do!
  + A crash in SNA when repeatedly switching xrandr rotations
  + Corruption in SNA observed in kwin on IvyBridge
    https://bugs.freedesktop.org/show_bug.cgi?id=52473
* Mon Jul 23 2012 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.20.1:
- Restore DRI for i810
- Fixed the SNA fallbacks on 64 bit causing screen corruption
- Bug fixes:
  + A bug affecting gen4 handling of trapezoids was fixed, and CPU
    overhead reduced.
    https://bugs.freedesktop.org/show_bug.cgi?id=52158
  + A fix for a bug causing corruption of a DRI2 unredirected client
    window that was resized whilst under a compositor.
  + Support for snoopable buffers on non-LLC architectures, coming to
    a future kernel. The aim to accelerate transfers between the CPU
    and the GPU, in particular to dramatically improve readback
    performance, and to further minimise clflushes.
  + Improvement to the composite performance on GT2 SandyBridge and
    IvyBridge devices, in particular the render copy is significantly
    improved.
  + Improved handling for when acceleration is disabled, including
    permitting DRI2 to remain supported even if the X server believes
    the GPU wedged.
  + Shadow support was dropped from UXA as it was neither complete nor
    correct, use SNA instead.
* Sun Jul 15 2012 tobias.johannes.klausmann@mni.thm.de
- Update to version 2.20.0:
- A new acceleration method "sna" that aims to be faster and
    consume far less CPU than UXA is now available for selection at runtime.
- Bug fixes for UXA:
  + Use a white source whilst adding glyphs to the glyph mask
    (This fixes blank glyphs if using a font that mixes ARGB and A glyphs.)
  + Avoid fallbacks for glyph-to-dst in e.g. gnome-terminal
    https://bugs.freedesktop.org/show_bug.cgi?id=50508
  + Force unused outputs off when VT switching
    https://bugs.freedesktop.org/show_bug.cgi?id=50772
  + Copy the fbcon across to the Screen pixmap at startup.
    (This patch has been kicking around in the distributions for years.)
  + Many missed malloc failures checks and forgotten frees found by a static
    analyzer. Thanks Zdenek Kabelac!
  + Leak of the back buffer when terminating an application after pageflipping
    https://bugs.freedesktop.org/show_bug.cgi?id=50670
  + Double check that the pipe is on before emitting a WAIT_ON_EVENT.
    In conjunction with an uptodate kernel, this should eliminate any
    hangs when changing resolutions or adding/removing displays.
    https://bugs.freedesktop.org/show_bug.cgi?id=50668
  + Update to new Xorg APIs. Future proofing for the next generation of
    hotplug Xorg display servers.
* Tue Jul 10 2012 badshah400@gmail.com
- Add U_Fix_uxa_Check_for_DPMS_off.patch to check for DPMS off
  before scheduling a WAIT_ON_EVENT when using uxa; fixes a
  critical regression introduced in a previous commit
  [bnc#768584].
* Mon Jul  2 2012 sndirsch@suse.com
- U_Avoid-calling-xf86nameCompare-with-a-NULL-string.patch/
  U_Fix-up-braindamage-in-previous-commit.patch
  * fixes Sig11 with missing driver name in xorg.conf (bnc#766059,
    fdo#51640)
* Tue Jun 12 2012 sndirsch@suse.com
- let require glamor package instead of recommending it, since the
  driver is linked against this library (there is not only a glamor
  Xserver module as I believed first!)
* Fri Jun  1 2012 sndirsch@suse.com
- updated to latest git version 2.19.0_20120601_8eed569 with a lot
  of fixes for SNA and the configuration possibility to use UXA,
  SNA or GLAMOR 2D acceleration
- make again UXA the default, but als build SNA and GLAMOR backends
- recommend instead of require glamor package
* Fri Jun  1 2012 sndirsch@suse.com
- remove hw supplements, add recommends to vaapi-intel-driver
  (bnc#764395)
* Wed May 30 2012 sndirsch@suse.com
- apparently building with "--disable-uxa --enable-glamor" is
  different from building with "--enable-glamor". The former
  resulted in an intel driver no longer working at all. The latter
  results in an "glamor"-enabled intel driver. So use the latter
  one. ;-)
* Wed May 30 2012 sndirsch@suse.com
- enable "glamor" for real
* Sat May 26 2012 sndirsch@suse.com
- switched to "glamor" 2D acceleration
* Sat May 26 2012 crrodriguez@opensuse.org
- Update to version 2.19.0, bugfixes and support
  for Ivy bridge server chipset.
* Tue May 22 2012 crrodriguez@opensuse.org
- Add proper "Supplements" so driver gets pulled automatically
  if the user has suitable hardware.
* Fri Apr 20 2012 vuntz@opensuse.org
- Use %%x11_abi_videodrv_req instead of static ABI Requires.
* Wed Apr 18 2012 vuntz@opensuse.org
- Split xf86-video-intel from xorg-x11-driver-video.
  Initial version: 2.18.0.
